{
  inputs = {
    nixpkgs.url = "nixpkgs/nixos-23.11";
    nixpkgs-unstable.url = "nixpkgs/nixos-unstable";
    supercolor.url = github:zoe-bat/supercolor;
    kaokao.url = github:zoe-bat/kaokao;
    tree-sitter-typst.url = github:SeniorMars/tree-sitter-typst;
  };
  outputs =
    { self
    , nixpkgs
    , nixpkgs-unstable
    , supercolor
    , kaokao
    , tree-sitter-typst
    }@inputs: 
    let 
      system = "x86_64-linux";
      overlay-unstable = final: prev: {
        unstable = import nixpkgs-unstable {
          inherit system;
          config.allowUnfree = true;
        };
      };
    in
    {
      nixosConfigurations.queer-utopia = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";
        modules = [
          ({ config, pkgs, ... }: { nixpkgs.overlays = [ overlay-unstable ]; })
          ./configuration.nix
        ];
        specialArgs = inputs;
      };
    };
}

